require 'oauth'
require 'json'

class RiteTag

	def initialize(auth)
		@auth = auth
		@consumer=OAuth::Consumer.new @auth['consumer_key'], @auth['consumer_secret'], {:site=>"https://ritetag.com/api/v2"}

        @access_token = OAuth::AccessToken.new(@consumer, @auth['token'], @auth['token_secret'])
	end

	def get(query)
		json_response =  @access_token.get("/ai/twitter/#{query}/").body
		return JSON.parse(json_response)
	end

end
